using System.Collections.Generic;
namespace Wrox.CS
{
public class Customer
{
    public string CustomerID { get; set; }
    public string CompanyName { get; set; }
    public string ContactName { get; set; }
    public string ContactTitle { get; set; }
}

public class CustomerRepository
{
    public CustomerRepository()
    {
    }

    public List<Customer> Select(string customerId)
    {
        // Tutaj będzie się znajdował kod, którego zadaniem będzie
        // pobranie danych obiektu Customer na podstawie parametru customerID
        List<Customer> _customers = new List<Customer>();
        _customers.Add(new Customer() { CompanyName = "Acme", ContactName = "Wiley Cyote", ContactTitle = "President", CustomerID = "ACMEC" });
        return _customers;
    }

    public void Insert(Customer c)
    {
        // Implementacja metody Insert
    }

    public void Update(Customer c)
    {
        // Implementacja metody Update
    }

    public void Delete(Customer c)
    {
        // Implementacja metody Delete
    }

}
}
